%define name zz_sshd_nonkerberized
%define version 1.0
%define release 0.5

Summary: Change the normally kerberized sshd, to non kerberized
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Fermi's openssh is normally kerberized out of the box.  This rpm will make it
non-kerberized.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT/etc/ssh
cp -r * $RPM_BUILD_ROOT/etc/ssh

%post
if [ -f /etc/ssh/sshd_config ] ; then
	/bin/mv -f /etc/ssh/sshd_config /etc/ssh/sshd_config.save
fi
/bin/cp -f /etc/ssh/sshd_config.nonkerberized /etc/ssh/sshd_config

%postun
if [ "$1" = "0" ] ; then
	if [ -f /etc/ssh/sshd_config.save ] ; then
		/bin/cp -f /etc/ssh/sshd_config.save /etc/ssh/sshd_config
	fi	
fi


%files
/etc/ssh/sshd_config.kerberized
/etc/ssh/sshd_config.nonkerberized
